unit colorgradientnew_convert;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  StdCtrls, Buttons,
  Math;

type

  { TWdConvert }

  TWdConvert = class(TForm)
    ComboBox1: TComboBox;
    ComboBox2: TComboBox;
    EdLabb: TEdit;
    EdLuvV: TEdit;
    EdBe: TEdit;
    EdxyZ: TEdit;
    EdY: TEdit;
    EdRe: TEdit;
    EdGe: TEdit;
    EdxyY: TEdit;
    EdLaba: TEdit;
    EdLuvU: TEdit;
    EdX: TEdit;
    EdxyX: TEdit;
    EdLabL: TEdit;
    EdLuvL: TEdit;
    EdZ: TEdit;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    ImgNv: TImage;
    ImgCl: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Panel1: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    Panel4: TPanel;
    Panel5: TPanel;
    Panel6: TPanel;
    Panel7: TPanel;
    PnMa1: TPanel;
    PnMa11: TPanel;
    PnMa12: TPanel;
    PnMa13: TPanel;
    PnMa14: TPanel;
    PnMa15: TPanel;
    PnMa16: TPanel;
    PnMa17: TPanel;
    PnMa18: TPanel;
    PnMa19: TPanel;
    PnMa2: TPanel;
    PnMa3: TPanel;
    PnMa4: TPanel;
    PnMa5: TPanel;
    PnMa6: TPanel;
    PnMa7: TPanel;
    PnMa8: TPanel;
    PnMa9: TPanel;
    SpeedButton1: TSpeedButton;
    procedure ComboBox1Change(Sender: TObject);
    procedure ComboBox2Change(Sender: TObject);
    procedure EdBeChange(Sender: TObject);
    procedure EdGeChange(Sender: TObject);
    procedure EdReChange(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure ImgClMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
    procedure SpeedButton1Click(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  WdConvert:TWdConvert;

implementation

Uses colorgradientnew_main;

{$R *.lfm}

{ TWdConvert }

procedure TWdConvert.ComboBox2Change(Sender: TObject);
begin
 WdMain.Convert_RGB_Calculs;
end;

procedure TWdConvert.EdBeChange(Sender: TObject);
begin
  WdMain.Convert_RGB_Calculs;
end;

procedure TWdConvert.EdGeChange(Sender: TObject);
begin
 WdMain.Convert_RGB_Calculs;
end;

procedure TWdConvert.EdReChange(Sender: TObject);
begin
 WdMain.Convert_RGB_Calculs;
end;

procedure TWdConvert.ComboBox1Change(Sender: TObject);
begin
 WdMain.Convert_RGB_Calculs;
end;

procedure TWdConvert.SpeedButton1Click(Sender: TObject);
begin
 WdMain.Convert_RGB_Calculs;
end;

procedure TWdConvert.ImgClMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
var
  R,G,B:byte;
begin
  With ImgCl.Canvas do begin
    RedGreenBlue(Pixels[x,y],R,G,B);
    EdRe.Text:=IntToStr(R);
    EdGe.Text:=IntToStr(G);
    EdBe.Text:=IntToStr(B);
 end;
  WdMain.Convert_Aff_Barre_de_Niveau(R,G,B);
  WdMain.Convert_RGB_Calculs;
 end;

procedure TWdConvert.FormShow(Sender: TObject);
begin
 WdMain.Convert_Aff_Couleurs;
 WdMain.Convert_Aff_Barre_de_Niveau(130,183,200);
 ActiveControl:=EdRe;
end;

end.

